zenilib: Lib3dsCamera Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsCamera Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

float | far_range
float | fov
char | name [64]
float | near_range
unsigned | object_flags
float | position [3]
float | roll
int | see_cone
float | target [3]
unsigned | user_id
void * | user_ptr

## Detailed Description

Camera object

Definition at line 283 of file lib3ds.h.

## Member Data Documentation

float Lib3dsCamera::far_range

Definition at line 294 of file lib3ds.h.

Referenced by lib3ds_camera_read(), and lib3ds_camera_write().

float Lib3dsCamera::fov

Definition at line 291 of file lib3ds.h.

Referenced by lib3ds_camera_new(), lib3ds_camera_read(), lib3ds_camera_write(), and lib3ds_node_new_camera().

char Lib3dsCamera::name[64]

Definition at line 286 of file lib3ds.h.

Referenced by lib3ds_camera_new(), lib3ds_file_camera_by_name(), lib3ds_node_new_camera(), lib3ds_node_new_camera_target(), and mdata_write().

float Lib3dsCamera::near_range

Definition at line 293 of file lib3ds.h.

Referenced by lib3ds_camera_read(), and lib3ds_camera_write().

unsigned Lib3dsCamera::object_flags

Definition at line 287 of file lib3ds.h.

Referenced by mdata_write(), and named_object_read().

float Lib3dsCamera::position[3]

Definition at line 288 of file lib3ds.h.

Referenced by lib3ds_camera_read(), lib3ds_camera_write(), lib3ds_file_bounding_box_of_objects(), and lib3ds_node_new_camera().

float Lib3dsCamera::roll

Definition at line 290 of file lib3ds.h.

Referenced by lib3ds_camera_read(), lib3ds_camera_write(), and lib3ds_node_new_camera().

int Lib3dsCamera::see_cone

Definition at line 292 of file lib3ds.h.

Referenced by lib3ds_camera_read(), and lib3ds_camera_write().

float Lib3dsCamera::target[3]

Definition at line 289 of file lib3ds.h.

Referenced by lib3ds_camera_read(), lib3ds_camera_write(), lib3ds_file_bounding_box_of_objects(), and lib3ds_node_new_camera_target().

unsigned Lib3dsCamera::user_id

Definition at line 284 of file lib3ds.h.

void* Lib3dsCamera::user_ptr

Definition at line 285 of file lib3ds.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h